#
# spec file for package no-more-secrets
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           no-more-secrets
Version:        1.0.1
Release:        1.10
Summary:        A recreation of the "decrypting text" effect from the 1992 movie Sneakers
License:        GPL-3.0-or-later
Group:          Amusements/Toys/Other
URL:            https://github.com/bartobri/%{name}
Source0:        https://github.com/bartobri/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool to recreate the famous "decrypting text" effect as seen in the 1992 movie Sneakers.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" nms sneakers-ncurses

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} prefix=%{_prefix} install

%files
%defattr(-,root,root)
%doc README.md
# Fix for openSUSE == 42.1 (42.2 works)
%if 0%{?suse_version} == 1315 && 0%{?sle_version} == 120100
%doc LICENSE
%else
%license LICENSE
%endif
%{_bindir}/nms
%{_bindir}/sneakers
%{_mandir}/man6/nms.6%{ext_man}
%{_mandir}/man6/sneakers.6%{ext_man}

%changelog
* Sun Sep 26 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.0.1:
  * Updated output for nms -v to match release version.
* Sun Sep 26 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.0.0:
  * Added cyan for color output.
  * Fixed issues with the ncurses implementation.
  * Improved code for getting input and error reporting.
  * Turned on optimizations for the c compiler.
  * Various other small code improvements and small bug/typo fixes.
* Mon Jan  8 2018 rbrown@suse.com
- Update to 0.3.3
  * Option to mask space characters (-s)
  * Minor bug fixes
* Sun Feb 19 2017 rpm@fthiessen.de
- Update to 0.3.2
  * Buildsystem fixes
  * Fixed version information
* Sat Feb 18 2017 mvetter@suse.com
- Update to 0.3.1:
  * Re-license back to GPL3+
  * Add manpage
- Remove sneakers.6 and nms.6 since they got upstreamed
* Fri Feb 17 2017 rpm@fthiessen.de
- Update to 0.3.0
- Update License field (no-more-secrets is now MIT)
- Added manpages
* Fri Sep 23 2016 jengelh@inai.de
- Update License field
* Wed Sep 14 2016 mvetter@suse.com
- Use macros
* Wed Sep 14 2016 mvetter@suse.com
- Initial package for version 0.2.1
